Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Blob.Record

    java.lang.Object
      com.xensource.xenapi.Blob.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  Blob

    public static class Blob.Record

extends Object
implements Types.Record

Represents all the fields in a Blob

Field Summary
`Boolean` | `_public` True if the blob is publicly accessible
`Date` | `lastUpdated` Time at which the data in the blob was last updated
`String` | `mimeType` The mime type associated with this object.
`String` | `nameDescription` a notes field containing human-readable description
`String` | `nameLabel` a human-readable name
`Long` | `size` Size of the binary data, in bytes
`String` | `uuid` Unique identifier/object reference

Constructor Summary
`Blob.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a blob.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### nameLabel

    public String nameLabel

  a human-readable name

### nameDescription

    public String nameDescription

  a notes field containing human-readable description

### size

    public Long size

  Size of the binary data, in bytes

### _public

    public Boolean _public

  True if the blob is publicly accessible

### lastUpdated

    public Date lastUpdated

  Time at which the data in the blob was last updated

### mimeType

    public String mimeType

  The mime type associated with this object. Defaults to 'application/octet-stream' if the empty string is supplied

Constructor Detail

### Blob.Record

    public Blob.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a blob.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD